Documentation for Face Intellect 7.4. Documentation for other versions of Intellect is available too.
Previous page Next page
General request format:
POST http://IP-address:port/firserver/GetAnalityc
Request parameters:
| Parameter | Required | Parameter description |
|---|---|---|
| server_id | Yes | Identifier of the Face Recognition Server in Face Intellect |
| minAge | No | Minimum age of persons |
| maxAge | No | Maximum age of persons |
| dateTimeFrom | Yes | Time in UTC format, starting from which the data should be obtained |
| dateTimeTo | Yes | Time in UTC format, up to which the data should be obtained |
| genders | No | Gender of persons whose data should be obtained: 0 - Unknown, 1 - Males, 2 - Females |
| faceMode | No | Type of persons whose data should be obtained: 0 - all faces, 1 - only recognized faces, 2 - only unrecognized faces |
| threshold | No | Threshold value of the faces similarity degree |
| minPasses | No | Filter by the minimum number of passes |
| maxPasses | No | Filter by the maximum number of passes |
| cameraIds | No | Camera IDs in Face Intellect |
Request example:
POST http://127.0.0.1:10000/firserver/GetAnalityc
{
"server_id": "1",
"minAge": 0,
"maxAge": 1000,
"dateTimeFrom": "2018-08-17T21:00:00.000",
"dateTimeTo": "2018-09-18T20:59:59.000",
"genders": [
0,
1,
2
],
"faceMode": 0,
"threshold": 0.8,
"minPasses": 1,
"maxPasses": 10000,
"cameraIds": [
"1"
]
}
Response example:
Response parameters:
| Parameter | Parameter description |
|---|---|
| PassAndLikesList | List of passes of unique faces |
| MainPass | Data on the first pass of a unique face (for more details, see Getting the recognition protocol) |
| BestPerson | Data about the face from the face database and the degree of similarity of the reference face with a unique face, if such a person exists (for more details, see Getting information about users) |
| LikePasses | List with data of similar passes (similar to MainPass). Cannot be larger than 5 elements |
| Total | Total number of unique faces |
| Males | Number of males |
| Females | Number of females |
| ProcessedTotal | Total number of processed faces |
| ProcessedDuration | Execution time of the faces processing in milliseconds |
| CompareCount | Total number of the face comparisons |
| Response | Response |
| Status | Completed request status: SUCCESS - successful |
Overview
Content Tools
